from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="bjarkan-sdk",
    version="0.2.22",  # Increment the version
    author="Bjarkan",
    author_email="support@bjarkan.io",
    description="A Python SDK for accessing the Historical Market Data API and Smart Order Router API of Bjarkan",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://bjarkan.io/",
    packages=find_packages(),
    install_requires=[
        "requests>=2.25.1",
        "pydantic>=2.0.0",
        "websockets>=10.0",
    ],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
    ],
    python_requires=">=3.7",
)
